aboutsummaryrefslogtreecommitdiffstats
path: root/main/bluez/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-10-29 12:50:08 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-29 12:50:08 +0000
commit87d28613b8a0b2e8f3ccaa7ed5ad689a25d1a852 (patch)
tree29ca799b34d4596c54f55e071360e4ad9a74ffda /main/bluez/APKBUILD
parent96b8a98c97a7ab84bb6f59e3eb4da0a65c434f99 (diff)
downloadaports-87d28613b8a0b2e8f3ccaa7ed5ad689a25d1a852.tar.gz
aports-87d28613b8a0b2e8f3ccaa7ed5ad689a25d1a852.tar.bz2
aports-87d28613b8a0b2e8f3ccaa7ed5ad689a25d1a852.tar.xz
main/bluez: upgrade to 5.9 and remove bluez5
Diffstat (limited to 'main/bluez/APKBUILD')
-rw-r--r--main/bluez/APKBUILD79
1 files changed, 19 insertions, 60 deletions
diff --git a/main/bluez/APKBUILD b/main/bluez/APKBUILD
index 82ba644649..5b42547488 100644
--- a/main/bluez/APKBUILD
+++ b/main/bluez/APKBUILD
@@ -1,56 +1,33 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=bluez
-pkgver=4.101
-pkgrel=3
+pkgver=5.9
+pkgrel=0
pkgdesc="Tools for the Bluetooth protocol stack"
url="http://www.bluez.org/"
arch="all"
license="GPL2"
depends="consolekit dbus"
replaces="udev"
-makedepends="dbus-dev gst-plugins-base-dev alsa-lib-dev libusb-compat-dev
- consolekit-dev udev-dev"
-subpackages="$pkgname-dev $pkgname-doc $pkgname-libs $pkgname-alsa
- $pkgname-cups $pkgname-gstreamer $pkgname-hid2hci"
-source="http://www.kernel.org/pub/linux/bluetooth/$pkgname-$pkgver.tar.bz2
- fix-includes.patch
+makedepends="dbus-dev libusb-compat-dev udev-dev
+ libical-dev readline-dev glib-dev"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-libs $pkgname-cups
+ $pkgname-hid2hci"
+source="http://www.kernel.org/pub/linux/bluetooth/bluez-$pkgver.tar.bz2
bluetooth.initd
rfcomm.initd
rfcomm.confd
"
-_builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
- cd "$_builddir"
- update_config_sub || return 1
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
-
+_builddir="$srcdir"/bluez-$pkgver
build() {
cd "$_builddir"
- ./configure \
- --build=$CBUILD \
- --host=$CHOST \
- --prefix=/usr \
+ ./configure --prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
+ --libexecdir=/usr/lib \
--mandir=/usr/share/man \
- --enable-gstreamer \
- --enable-alsa \
- --enable-usb \
- --enable-tools \
- --enable-bccmd \
- --enable-hid2hci \
- --enable-dfutool \
- --enable-hidd \
- --enable-pand \
- --enable-dund \
- --enable-cups \
+ --disable-systemd \
+ --enable-library \
|| return 1
make || return 1
}
@@ -58,8 +35,7 @@ build() {
package() {
cd "$_builddir"
make install DESTDIR="$pkgdir" || return 1
- rm "$pkgdir"/usr/lib/*/*.la \
- "$pkgdir"/usr/lib/*.la || return 1
+ rm "$pkgdir"/usr/lib/*.la || return 1
install -Dm755 "$srcdir"/bluetooth.initd "$pkgdir"/etc/init.d/bluetooth
install -Dm755 "$srcdir"/rfcomm.initd "$pkgdir"/etc/init.d/rfcomm
install -Dm644 "$srcdir"/rfcomm.confd "$pkgdir"/etc/conf.d/rfcomm
@@ -72,26 +48,12 @@ libs() {
mv "$pkgdir"/usr/lib/libbluetooth.so.* "$subpkgdir"/usr/lib/
}
-alsa() {
- pkgdesc="Bluez plugin for ALSA"
- mkdir -p "$subpkgdir"/usr/share "$subpkgdir"/usr/lib
- mv "$pkgdir"/usr/share/alsa* "$subpkgdir"/usr/share/ || return 1
- mv "$pkgdir"/usr/lib/alsa* "$subpkgdir"/usr/lib/
-}
-
cups() {
pkgdesc="Bluez backend for CUPS"
mkdir -p "$subpkgdir"/usr/lib/
mv "$pkgdir"/usr/lib/cups "$subpkgdir"/usr/lib/
}
-gstreamer() {
- pkgdesc="Bluez plugin for gstreamer"
- mkdir -p "$subpkgdir"/usr/lib
- mv "$pkgdir"/usr/lib/gstreamer* \
- "$subpkgdir"/usr/lib/
-}
-
hid2hci() {
pkgdesc="Put HID proxying bluetooth HCI's into HCI mode"
replaces="bluez"
@@ -99,18 +61,15 @@ hid2hci() {
mv "$pkgdir"/lib "$subpkgdir"/
}
-md5sums="902b390af95c6c5d6d1a17d94c8344ab bluez-4.101.tar.bz2
-664785224a0f8d678f527c2a4940fc9d fix-includes.patch
-701636b72c4fb72b1d81a050471b130c bluetooth.initd
+md5sums="6edaf60d09ee32942a739f80ea847db1 bluez-5.9.tar.bz2
+7a5611fa2cf42da2e844f96b2efa9f3b bluetooth.initd
7672edb8e33c4495ee9febb9864feb10 rfcomm.initd
7f4bb093adb0f519c621f2ea68712f35 rfcomm.confd"
-sha256sums="88f170b52119d576281a20ee98d65319b52cf4fb71aa7a7af1c9e928779baaa0 bluez-4.101.tar.bz2
-6aba767ec14dae7e7f8d9ac5ab6b6600f4c0559d7bf368b6bbfaa5374ed6ee54 fix-includes.patch
-547ad2659d508fb6f4080aed078cb4811b3feda84f677afff64bf92f7fc9bea8 bluetooth.initd
+sha256sums="40a408bc535c19ac544895cfa24984659d8e338e58c729fb3ed8c4634e7c23ac bluez-5.9.tar.bz2
+d4aef203e184bef4284b3719268c91e07a1e3f84cbdea2ac8ab40a2617ac9186 bluetooth.initd
4430703a9bec9a9482416b2d24aa47492264768a0b61356b361bbc8b1229a83e rfcomm.initd
672498957049fd301f9c9c1dc9fa49430e5e6d3c3f1f3cdce80df3af7d425d08 rfcomm.confd"
-sha512sums="a47c3e0943ae50adbcc78b00b4f170f0de8ff12672468e5e09897a669df061b97d99a13b3871f8ec9a85785c3e2839ea2c64e304cb9dd632e33244c222684e1a bluez-4.101.tar.bz2
-be356e156e96f440f6506235b103efb8d835acf7a5a8f061553619b8bac8549288444e2ca86199a81cba87df12297e1d589403e1afef15c4b93fe0ee229a1bc7 fix-includes.patch
-f648437b9fbc9789fc3d83b544458759236be7f99d5d6029dc38e81660b1c129b2055b62fad86e4e833cb43a040bf59e5fc1ddf95e0d832e13df23775961cf06 bluetooth.initd
+sha512sums="025d7b8c688c16d13e33f803c339f0c64b1247df43ed483dba31a62fe3521c5bec24a4516a7c13304492c632ed413638c0d308333ceedeaed31a92f8cdb3204b bluez-5.9.tar.bz2
+2c13cde6561c5aa8b2f27306851458966c67853f6ac2358d09019fda14d3d8e3ff6d9f1c90512c67063d1e1954ec05bf117c5fafc7716446cc5786e9cc12c49f bluetooth.initd
8f14b4e05c9ecaf4586ed2fdc2d2519de6b613de62ae5c95508baa682630f3112c5b6db6850f76679afc49e06f2ad035d148fa30b9b980747b6fb423f7bebe88 rfcomm.initd
a70aa0dbbabe7e29ee81540a6f98bf191a850da55a28f678975635caf34b363cf4d461a801b3484120ee28fdd21240bd456a4f5d706262700924bd2e9a0972fb rfcomm.confd"